@charset "UTF-8";
body{
	padding-top:70px;
	padding-bottom:5em;
	font-size:1.5rem;
}
.dis,.dmy{
	display:none!important;
}
.modal .modal-content{
	background-color:#fff;
}

.modal-header{
	background-color:#eee;
}

.modal.error .modal-header{
	background-color:#fff1cf;
	color:#e83929;
}

.modal-dialog.modal-wfs {
	max-width: 95%;
	width: 95%;
}
.modal-dialog.modal-80 {
	max-width: 80%;
	width: 80%;
}

.modal.udr{
	z-index:1040!important;
}
.toast-message {
  position: absolute;
  top: 0;
  left: 200px;
  /*background-color: #f8f9fa;*/
  background-color:#bce2e8;
  border: 1px solid #ccc;
  padding: 12px 30px;
  border-radius: 6px;
  box-shadow: 0 2px 6px rgba(0,0,0,0.2);
  opacity: 1;
  transition: opacity 2s ease-out;
  z-index: 9998;
}
.toast-message.error{
	background-color:#fef263;
}
input,select,div,button{
	font-size:1.2rem!important;
}

.required::after {
  content: '必須';
  border:1px solid #e9546b;
  color:#e9546b;
  /*color: #fff;*/
  width:4em;
  font-size: 0.8em;
  border-radius: 4px;
  margin-left: 1em;
  margin-top:-3px;
  display:inline-block;
  vertical-align: middle;
  text-align:center;
}


.btn-primary{
	background-color:#007bbb!important;
}
.btn-primary:hover{
	background-color:#38a1db!important;
}
.btn-outline-primary{
	background-color:#fff;
	color:#007bbb!important;
}
.btn-outline-primary:hover{
	background-color:#007bbb!important;
	color:#fff!important;
}

/* SPINNER */
#spinner {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.loading-text {
  color: white;
  margin-top: 1rem;
  font-size: 1.2rem;
}
#appname{
	width:10em;
	font-size:1.5rem;
	font-weight:bold;
}

.eval-inact{
	display:none!important;
}

.eval-show{
	display:block!important;
}
.eval-hide{
	display:none!important;
}
.eval-highlight{
	background-color:#fef263!important;
	display:block!important;
}
.eval-gray{
	background-color:#ccc!important;
	color:#555!important;
	display:block!important;
}

.cl-red{
	color:#d7003a;
}
.cl-blue{
	color:#007bbb;
}
.cl-yellow{
	color:#fcc800;
}
.cl-green{
	color:#00a381;
}

/* Autocomplete */

.dropdown-menu.autocomplete .dropdown-item{
	cursor:pointer;
}
.dropdown-menu.autocomplete{
	max-width:95%;
}

.dropdown-item .c01, .dropdown-item .c12,.dropdown-item .c22,.dropdown-item .c32{
	background-color:#ebf6f7;
	border-radius:3px;
	margin:5px 10px;
}
.dropdown-menu .dropdown-item.sel {
	color: var(--bs-dropdown-link-hover-color);
	background-color: var(--bs-dropdown-link-hover-bg);
}

input[readonly],select[disabled],textarea[readonly]{ 
  background-color:#f0f0f0!important;
}
input[type="checkbox"][readonly]{
	background-color:#d0d0d0!important;
	pointer-events: none;
}
input[type="checkbox"][readonly]:checked{
	border-color:#d0d0d0!important;
}
.breakbutton{
	width:10rem;
	height:3rem;
}
/* 申告ボタン */
button.ebtns{
	width:10rem;
	height:3rem;
}

.table tbody th {
	display: none;
}
div.th{
	width:7rem;
}
div.files div.file{
	cursor:pointer;
	padding-top:5px;
	padding-bottom:5px;
}
div.files div.file.deleted{
	cursor:auto;
	color:#aaa;
}
div.files div.file span.del{
	cursor:pointer;
}
	
div.files div.file.deleted i{
	text-decoration:line-through;
}
div.files div.file span{
	display:inline-block;
	width:60%;
}
div.files div.file .del{
	width:5rem;
}
div.files div.file:hover{
	background-color:#eee;
}
/* TAB */
ul.nav-tabs button.nav-link{
	color:#ccc!important;
} 
ul.nav-tabs button.nav-link.active{
	color:#000!important;
	font-weight:bold;
	background:linear-gradient(transparent 60%, #ff6 60%);
} 
/* autocomplete */
.dropdown-menu.autocomplete{
	background-color:#efefef!important;
}

#page-top {
	position: fixed;
	bottom: 20px;
	right: 20px;
	font-size: 77%;
	z-index:1099;
}
#page-top a {
	background: #007bbb;
	text-decoration: none;
	color: #fff;
	width: 100px;
	padding: 30px 0;
	text-align: center;
	display: block;
	border-radius: 5px;
}
#page-top a:hover {
	text-decoration: none;
	background: #007bbb;
}

@media (max-width: 800px) {
	body{
		font-size:1.0fem!important;
	}
	.table thead {
		display: none;
	}
	.table.responsive tbody{
		display:block;
	}
	.table.responsive tbody tr{
		display:block;
		padding:1rem;
		border:1px solid #ccc;
		margin-top:1rem;
	}
	.table.responsive tbody th{
		width:100%;
		font-weight:bold;
		display: block;
		border:none;
	}
	.table.responsive tbody td{
		width:100%;
		margin-left:1rem;
		display: block;
		border:none;
	}
	input,select,div,button{
		font-size:1.0rem!important;
	}
	
}
